View Issue Details

IDCategoryLast Update
0003849bugs2011-11-15 15:16
ReporteroofusAssigned To 
Reproducibilityhave not tried 
Status newResolutionopen 
PlatformDell D830 core2duo T9300 2.5GHzOSKubuntuOS Version10.10
Product Version 
Fixed in Version 
Summary0003849: Region gain line editing issues and bugs
Description1. It is possible to drag a gain point outside the bounds of a region.

2. It is not possible to add a new gain point directly to the line, it has to be off the line which alters the line !

3. Right clicking a gain point should produce a menu with at least 'edit' and 'remove' in it.

4. Gain points that end up under a crossfade are almost impossible to move, espaecially for the region that is 'under' the other.

5. It is not possible to grab a section of a line, between two points, and just move that section. Parts before and after the points move as well.

6. The two options to make the gain line visible and enabled are buried levels down in the regions context menu.

7. There is some interaction between these two options in different regions ie enabling them in one region shows them as enabled in another region but they actually aren't. You have to remove the ticks to enable the options.

8. When moving gain points there is no way to lock either axis ie only move in time or in level but not both.

9. When moving the mouse cursor out of the region all the gain points disappear, except the last one to be moved.

10. It would be good to be able to draw curves not just straight lines.
TagsNo tags attached.

Relationships

related to 0001146 acknowledged Bezier curves and extrapolation for automation lines. 

Activities

cth103

2011-07-17 20:11

administrator   ~0011153

Last edited: 2011-09-12 16:08

1. Fixed.

2. Click on a line is used to drag the line segment; do you have any suggestions? I guess maybe click-but-not-drag could add a point.

3. SVN 9890.

5. If I understand you correctly, this would imply adding more points before dragging the line (so that nothing outside of the line changes); does this make sense?

8. This should be on button2-drag and SecondaryModifier-button2-drag.

9. This seems to be fixed by the fix for 1.

10. See related feature request.

Issue History

Date Modified Username Field Change
2011-03-13 18:41 oofus New Issue
2011-03-13 18:41 oofus cost => 0.00
2011-03-13 21:40 cth103 Target Version => 3.0-beta1
2011-07-17 20:11 cth103 Note Added: 0011153
2011-07-17 20:25 cth103 Relationship added related to 0001146
2011-07-17 20:28 cth103 Note Edited: 0011153
2011-07-17 20:49 cth103 Note Edited: 0011153
2011-07-17 20:55 cth103 Note Edited: 0011153
2011-09-12 15:35 cth103 Note Edited: 0011153
2011-09-12 16:08 cth103 Note Edited: 0011153
2011-11-15 15:16 cth103 Target Version 3.0-beta1 => 3.0